import datetime
grocery_list = [ ]
d=datetime.date.today()
def add_item(item):
    grocery_list.append((item, d))
    print(item + " has been added to the list.")
    print("------------------------------------")

def remove_item(item):
    grocery_list.remove((item, d))
    print(item + " has been removed from the list.")
    print("------------------------------------")

def view_list():
    print("Here is your grocery list:")
    for item in grocery_list:
        print(item)
        print("------------------------------------")

def main():
    while True:
        print("Welcome to the Grocery List Manager!")
        print("------------------------------------")
        print("Enter 1 to add an item.")
        print("Enter 2 to remove an item.")
        print("Enter 3 to view the list.")
        print("Enter 4 to exit the program.")
        user_input = input()



        if user_input == "1":
            item = input("What item would you like to add? ")
            add_item(item)
        elif user_input == "2":
            item = input("What item would you like to remove? ")
            remove_item(item)
        elif user_input == "3":
            view_list()
        elif user_input == "4":
            break
        else:
            print("Invalid input. Please enter a number 1-4.")


if __name__ == '__main__':
    main()
